Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Feb 2013 20:29:09 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Feb 2013 00:34:50 +0100
> 
> > I'm at a loss here...  The changes don't affect any code that launches
> > subprocesses or open network streams.  They just affect what happens
> > when there are no more free slots for additional subprocesses, which
> > should only happen once you've launched at least 32 of them.
> 
> I clearly want to believe you, but did you see the live video: the difference
> is quite impressive between what's possible in one process and what's not in
> the other.
> 
> > Can you show the contents of child_procs[] array, like you did before, when
> > you cannot see the results of 'locate'?
> 
> I hope to give you more details by tomorrow.

Meanwhile I think I found the bug.

I went ahead and reverted all the changes related to the subprocesses
which I made since the 24.2.91 pretest, which you say worked for you.
I don't want to hold the 24.3 release hostage by my evidently inept
tinkering with this code.  The problem I tried to avoid is minor (in
comparison with the breakage I caused by the "solution"), and is
already fixed on the trunk in a more fundamental way.  So I guess
Emacs on Windows will need to stay with this problem for a little bit
longer, until we deliver a release from the current trunk.

I hope the next binary you could try from the emacs-24 branch will
work again for you, and the pretest can then continue on its course.

Thanks.